{% extends "base.html" %}
{% from "_macros.html" import render_field_with_errors, render_field %}

{% block content %}
{% include "security/_messages.html" %}
<h1>{{ _fsdomain('Register') }}</h1>
<div class="card">
  <div class="card-body">
  <form action="{{ url_for_security('register') }}" method="POST" name="register_user_form">
    {{ register_user_form.hidden_tag() }}
    {{ render_field_with_errors(register_user_form.username) }}
    {{ render_field_with_errors(register_user_form.name) }}
    {{ render_field_with_errors(register_user_form.email) }}
    {{ render_field_with_errors(register_user_form.password, autocomplete="off") }}
    {% if register_user_form.password_confirm %}
      {{ render_field_with_errors(register_user_form.password_confirm, autocomplete="off") }}
    {% endif %}
    {{ render_field(register_user_form.submit) }}
  </form>
  </div>
</div>
{% endblock %}
